## ECategoriesEditor

ECategoriesEditor

## Functions

GtkWidget * | e_categories_editor_new ()
gchar * | e_categories_editor_get_categories ()
void | e_categories_editor_set_categories ()
gboolean | e_categories_editor_get_entry_visible ()
void | e_categories_editor_set_entry_visible ()

## Properties

gboolean | entry-visible | Read / Write

## Signals

void | entry-changed | Run First

## Types and Values

struct | ECategoriesEditor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── ECategoriesEditor

## Implemented Interfaces

ECategoriesEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### e_categories_editor_new ()

    GtkWidget *
    e_categories_editor_new (void);

Creates a new ECategoriesEditor widget.

#### Returns

a new ECategoriesEditor

Since: 3.2

### e_categories_editor_get_categories ()

    gchar *
    e_categories_editor_get_categories (ECategoriesEditor *editor);

Gets a comma-separated list of the categories currently selected in the editor.

#### Parameters

editor | an ECategoriesEditor |

#### Returns

a comma-separated list of categories. Free returned pointer with `g_free()`.

Since: 3.2

### e_categories_editor_set_categories ()

    void
    e_categories_editor_set_categories (ECategoriesEditor *editor,
                                        const gchar *categories);

Sets the list of categories selected on the editor.

#### Parameters

editor | an ECategoriesEditor |
categories | comma-separated list of categories |

Since: 3.2

### e_categories_editor_get_entry_visible ()

    gboolean
    e_categories_editor_get_entry_visible (ECategoriesEditor *editor);

Return the visibility of the category input entry.

#### Parameters

editor | an ECategoriesEditor |

#### Returns

whether the entry is visible

Since: 3.2

### e_categories_editor_set_entry_visible ()

    void
    e_categories_editor_set_entry_visible (ECategoriesEditor *editor,
                                           gboolean entry_visible);

Sets the visibility of the category input entry.

#### Parameters

editor | an ECategoriesEditor |
entry_visible | whether to make the entry visible |

Since: 3.2

## Types and Values

### struct ECategoriesEditor

    struct ECategoriesEditor;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.2

## Property Details

### The `“entry-visible”` property

      “entry-visible”            gboolean

Owner: ECategoriesEditor

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“entry-changed”` signal

    void
    user_function (ECategoriesEditor *ecategorieseditor,
                   gpointer           user_data)

Flags: Run First